eclipse-jdt-4.4.1-8.2-omv2015.0.x86_64.rpm


Advertisement

Description

eclipse-jdt - Eclipse Java Development Tools

Property Value
Distribution OpenMandriva Lx 3.0
Repository OpenMandriva Main Release x86_64
Package filename eclipse-jdt-4.4.1-8.2-omv2015.0.x86_64.rpm
Package name eclipse-jdt
Package version 4.4.1
Package release 8.2-omv2015.0
Package architecture x86_64
Package type rpm
Category Development/Tools
Homepage http://www.eclipse.org/
License EPL
Maintainer -
Download size 25.07 MB
Installed size 27.46 MB
Eclipse Java Development Tools.  This package is required to use Eclipse for
developing software written in the Java programming language.

Alternatives

Package Version Architecture Repository
eclipse-jdt-4.4.1-8.3-omv2015.0.x86_64.rpm 4.4.1 x86_64 OpenMandriva Main Updates
eclipse-jdt-4.4.1-8.2-omv2015.0.i586.rpm 4.4.1 i586 OpenMandriva Main Release
eclipse-jdt - - -

Requires

Name Value
eclipse-platform == 1:4.4.1-8.2
hamcrest >= 0:1.1-11
junit >= 4.10-5
osgi(com.ibm.icu) -
osgi(org.apache.ant) -
osgi(org.eclipse.ant.core) -
osgi(org.eclipse.compare) -
osgi(org.eclipse.core.expressions) -
osgi(org.eclipse.core.externaltools) -
osgi(org.eclipse.core.filebuffers) -
osgi(org.eclipse.core.filesystem) -
osgi(org.eclipse.core.resources) -
osgi(org.eclipse.core.runtime) -
osgi(org.eclipse.core.variables) -
osgi(org.eclipse.debug.core) -
osgi(org.eclipse.debug.ui) -
osgi(org.eclipse.equinox.bidi) -
osgi(org.eclipse.equinox.frameworkadmin) -
osgi(org.eclipse.equinox.simpleconfigurator.manipulator) -
osgi(org.eclipse.help) -
osgi(org.eclipse.jface) -
osgi(org.eclipse.jface.text) -
osgi(org.eclipse.ltk.core.refactoring) -
osgi(org.eclipse.ltk.ui.refactoring) -
osgi(org.eclipse.osgi) -
osgi(org.eclipse.search) -
osgi(org.eclipse.team.core) -
osgi(org.eclipse.team.ui) -
osgi(org.eclipse.text) -
osgi(org.eclipse.ui) -
osgi(org.eclipse.ui.cheatsheets) -
osgi(org.eclipse.ui.console) -
osgi(org.eclipse.ui.editors) -
osgi(org.eclipse.ui.externaltools) -
osgi(org.eclipse.ui.forms) -
osgi(org.eclipse.ui.ide) -
osgi(org.eclipse.ui.intro) -
osgi(org.eclipse.ui.navigator) -
osgi(org.eclipse.ui.navigator.resources) -
osgi(org.eclipse.ui.views) -
osgi(org.eclipse.ui.workbench.texteditor) -
osgi(org.junit) -

Provides

Name Value
eclipse-jdt == 1:4.4.1-8.2:2015.0
osgi(org.eclipse.ant.launching) == 1.0.400
osgi(org.eclipse.ant.ui) == 3.5.500
osgi(org.eclipse.jdt) == 3.10.0
osgi(org.eclipse.jdt.annotation) == 1.1.0
osgi(org.eclipse.jdt.annotation) == 2.0.0
osgi(org.eclipse.jdt.apt.core) == 3.3.600
osgi(org.eclipse.jdt.apt.pluggable.core) == 1.0.400
osgi(org.eclipse.jdt.apt.ui) == 3.3.400
osgi(org.eclipse.jdt.compiler.apt) == 1.1.0
osgi(org.eclipse.jdt.compiler.tool) == 1.0.300
osgi(org.eclipse.jdt.core) == 3.10.0
osgi(org.eclipse.jdt.core.manipulation) == 1.5.0
osgi(org.eclipse.jdt.debug) == 3.8.101
osgi(org.eclipse.jdt.debug.ui) == 3.6.300
osgi(org.eclipse.jdt.doc.user) == 3.10.1
osgi(org.eclipse.jdt.junit) == 3.7.300
osgi(org.eclipse.jdt.junit.core) == 3.7.300
osgi(org.eclipse.jdt.junit.runtime) == 3.4.500
osgi(org.eclipse.jdt.junit4.runtime) == 1.1.400
osgi(org.eclipse.jdt.launching) == 3.7.101
osgi(org.eclipse.jdt.ui) == 3.10.1

Download

Type URL
Mirror abf-downloads.openmandriva.org
Binary Package eclipse-jdt-4.4.1-8.2-omv2015.0.x86_64.rpm
Source Package eclipse-4.4.1-8.2.src.rpm

Install Howto

  1. Enable OpenMandriva Main Release repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install eclipse-jdt rpm package:
    # urpmi eclipse-jdt

Files

Path
/usr/bin/efj
/usr/lib64/eclipse/dropins/jdt/
/usr/lib64/eclipse/dropins/jdt/features/
/usr/lib64/eclipse/dropins/jdt/features/org.eclipse.jdt_3.10.0.v20151015-1348/epl-v10.html
/usr/lib64/eclipse/dropins/jdt/features/org.eclipse.jdt_3.10.0.v20151015-1348/feature.properties
/usr/lib64/eclipse/dropins/jdt/features/org.eclipse.jdt_3.10.0.v20151015-1348/feature.xml
/usr/lib64/eclipse/dropins/jdt/features/org.eclipse.jdt_3.10.0.v20151015-1348/license.html
/usr/lib64/eclipse/dropins/jdt/features/org.eclipse.jdt_3.10.0.v20151015-1348/META-INF/MANIFEST.MF
/usr/lib64/eclipse/dropins/jdt/plugins/org.eclipse.ant.launching_1.0.400.v20151015-1348.jar
/usr/lib64/eclipse/dropins/jdt/plugins/org.eclipse.ant.ui_3.5.500.v20151015-1348.jar
/usr/lib64/eclipse/dropins/jdt/plugins/org.eclipse.jdt.annotation_1.1.0.v20151015-1348.jar
/usr/lib64/eclipse/dropins/jdt/plugins/org.eclipse.jdt.annotation_2.0.0.v20151015-1348.jar
/usr/lib64/eclipse/dropins/jdt/plugins/org.eclipse.jdt.apt.core_3.3.600.v20151015-1348.jar
/usr/lib64/eclipse/dropins/jdt/plugins/org.eclipse.jdt.apt.pluggable.core_1.0.400.v20151015-1348.jar
/usr/lib64/eclipse/dropins/jdt/plugins/org.eclipse.jdt.apt.ui_3.3.400.v20151015-1348.jar
/usr/lib64/eclipse/dropins/jdt/plugins/org.eclipse.jdt.compiler.apt_1.1.0.v20151015-1348.jar
/usr/lib64/eclipse/dropins/jdt/plugins/org.eclipse.jdt.compiler.tool_1.0.300.v20151015-1348.jar
/usr/lib64/eclipse/dropins/jdt/plugins/org.eclipse.jdt.core.manipulation_1.5.0.v20151015-1348.jar
/usr/lib64/eclipse/dropins/jdt/plugins/org.eclipse.jdt.core_3.10.0.v20151015-1348.jar
/usr/lib64/eclipse/dropins/jdt/plugins/org.eclipse.jdt.debug.ui_3.6.300.v20151015-1348.jar
/usr/lib64/eclipse/dropins/jdt/plugins/org.eclipse.jdt.doc.user_3.10.1.v20151015-1348.jar
/usr/lib64/eclipse/dropins/jdt/plugins/org.eclipse.jdt.junit.core_3.7.300.v20151015-1348.jar
/usr/lib64/eclipse/dropins/jdt/plugins/org.eclipse.jdt.junit.runtime_3.4.500.v20151015-1348.jar
/usr/lib64/eclipse/dropins/jdt/plugins/org.eclipse.jdt.junit4.runtime_1.1.400.v20151015-1348.jar
/usr/lib64/eclipse/dropins/jdt/plugins/org.eclipse.jdt.junit_3.7.300.v20151015-1348.jar
/usr/lib64/eclipse/dropins/jdt/plugins/org.eclipse.jdt.launching_3.7.101.v20151015-1348.jar
/usr/lib64/eclipse/dropins/jdt/plugins/org.eclipse.jdt.ui_3.10.1.v20151015-1348.jar
/usr/lib64/eclipse/dropins/jdt/plugins/org.eclipse.jdt_3.10.0.v20151015-1346.jar
/usr/lib64/eclipse/dropins/jdt/plugins/org.hamcrest.core_1.3.0.v201303031735.jar
/usr/lib64/eclipse/dropins/jdt/plugins/org.junit_4.11.0.v201303080030.jar
/usr/lib64/eclipse/dropins/jdt/plugins/org.eclipse.jdt.debug_3.8.101.v20151015-1348/.api_description
/usr/lib64/eclipse/dropins/jdt/plugins/org.eclipse.jdt.debug_3.8.101.v20151015-1348/.options
/usr/lib64/eclipse/dropins/jdt/plugins/org.eclipse.jdt.debug_3.8.101.v20151015-1348/about.html
/usr/lib64/eclipse/dropins/jdt/plugins/org.eclipse.jdt.debug_3.8.101.v20151015-1348/jdi.jar
/usr/lib64/eclipse/dropins/jdt/plugins/org.eclipse.jdt.debug_3.8.101.v20151015-1348/jdimodel.jar
/usr/lib64/eclipse/dropins/jdt/plugins/org.eclipse.jdt.debug_3.8.101.v20151015-1348/plugin.properties
/usr/lib64/eclipse/dropins/jdt/plugins/org.eclipse.jdt.debug_3.8.101.v20151015-1348/plugin.xml
/usr/lib64/eclipse/dropins/jdt/plugins/org.eclipse.jdt.debug_3.8.101.v20151015-1348/META-INF/MANIFEST.MF
/usr/share/appdata/eclipse-jdt.metainfo.xml

Changelog

2015-10-15 - crisb <crisb@localhost.localdomain> 1:4.4.1-8.2
- (d4acedc) Bump
2014-12-14 - Crispin Boylan <crisb@mandriva.org> 1:4.4.1-8.1
- (e2defdb) non bootstrap with tycho 0.22
2014-12-11 - Crispin Boylan <crisb@mandriva.org> 1:4.4.1-8
- (1efc7e8) Fix req
- (Crispin Boylan: d6d4694) Fix br
- (Crispin Boylan: 86473e7) Fix br
- (Crispin Boylan: d20ad17) Fix br
- (Crispin Boylan: b669f03) We need bootstrap
- (Crispin Boylan: 04194eb) Add br
- (Crispin Boylan: e0c5e4b) Merge
- (Crispin Boylan: 5806c78) 4.4.1
2014-11-21 - Cris Boylan <cris@beebgames.com> 1:4.3.2-5
- (aa7e75c) Updated eclipse.spec
2014-11-21 - Cris Boylan <cris@beebgames.com> 1:4.3.2-4
- (e5102b8) Without bootstrap
- (Cris Boylan: cabd046) Fix BR
- (Crispin Boylan: 1a51550) Rebuild in bootstrap with lucene 4
2014-11-18 - Crispin Boylan <crisb@mandriva.org> 1:4.3.2-3
- (d5c65c6) Fix req
- (Crispin Boylan: ccdd3a6) 4.3.2, on the road to luna
2014-01-21 - pcpa <paulo.cesar.pereira.de.andrade@gmail.com> 1:4.3.1-11.4
- (05fdd0f) Bootstrap finished
2014-01-19 - pcpa <paulo.cesar.pereira.de.andrade@gmail.com> 1:4.3.1-11.3
- (55af5c0) Inject a functional eclipse build in cooker
- (55af5c0) The cyclic dependencies are complex enough that some dependencies
- (55af5c0) can only be generated in a sane way if there is already a working
- (55af5c0) eclipse.
- (55af5c0) After this package is available, eclipse proper rebuild from sources
- (55af5c0) in abf should be doable.
- (55af5c0) Note that for now only i586 and x86_64 are supported.
- (pcpa: c927c28) Cannot bootstrap with only noarch files
2014-01-18 - pcpa <paulo.cesar.pereira.de.andrade@gmail.com> 1:4.3.1-11.2
- (f45aa53) More adjustments for final bootstrap steps
2014-01-18 - pcpa <paulo.cesar.pereira.de.andrade@gmail.com> 1:4.3.1-11.0
- (e424d87) Remove release from edited, script generated spec
- (pcpa: 65e9b6b) Create an intermediate eclipse-pde packate
- (pcpa: 2b0c81e) Correct wrong symlink but should not need to rebuild bootstrap
- (pcpa: 4bb7a07) Inject eclipse noarchish files in repositories to break cyclic dependencies and bootstrap
- (pcpa: 48bde1c) Import fedora eclipse with minimal changes to build on OpenMandriva

See Also

Package Description
eclipse-jgit-3.5.3-1.2-omv2015.0.noarch.rpm Eclipse JGit
eclipse-license-1.0.1-5-omv2015.0.noarch.rpm Shared license feature for Eclipse
eclipse-mylyn-3.13.0-2.2-omv2015.0.noarch.rpm Eclipse Mylyn main feature
eclipse-mylyn-builds-3.13.0-2.2-omv2015.0.noarch.rpm Eclipse Mylyn Builds
eclipse-mylyn-builds-hudson-3.13.0-2.2-omv2015.0.noarch.rpm Mylyn Builds Connector: Hudson/Jenkins
eclipse-mylyn-context-cdt-3.13.0-2.2-omv2015.0.noarch.rpm Mylyn Bridge: C/C++ Development
eclipse-mylyn-context-java-3.13.0-2.2-omv2015.0.noarch.rpm Mylyn Bridge: Java Development
eclipse-mylyn-context-pde-3.13.0-2.2-omv2015.0.noarch.rpm Mylyn Bridge: Plug-in Development
eclipse-mylyn-context-team-3.13.0-2.2-omv2015.0.noarch.rpm Mylyn Context Connector: Team Support
eclipse-mylyn-docs-epub-3.13.0-2.2-omv2015.0.noarch.rpm Mylyn EPub
eclipse-mylyn-docs-htmltext-3.13.0-2.2-omv2015.0.noarch.rpm Mylyn HtmlText
eclipse-mylyn-docs-wikitext-3.13.0-2.2-omv2015.0.noarch.rpm Mylyn WikiText
eclipse-mylyn-ide-3.13.0-2.2-omv2015.0.noarch.rpm Mylyn Context Connector: Eclipse IDE
eclipse-mylyn-sdk-3.13.0-2.2-omv2015.0.noarch.rpm Mylyn SDK
eclipse-mylyn-tasks-bugzilla-3.13.0-2.2-omv2015.0.noarch.rpm Mylyn Tasks Connector: Bugzilla
Advertisement
Advertisement